# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDateValidator Class Reference

Validates user-entered dates. More...

`#include <kdatetbl.h>`

Inheritance diagram for KDateValidator:

[legend]
Collaboration diagram for KDateValidator:

[legend]
List of all members.

## Public Member Functions

| KDateValidator (QWidget *parent=0, const char *name=0)
virtual State | validate (QString &, int &) const
virtual void | fixup (QString &input) const
State | date (const QString &, QDate &) const

## Detailed Description

Validates user-entered dates.

Definition at line 232 of file kdatetbl.h.

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003